Ignore events with modifier keys
Closed, ResolvedPublic

Description

We ignore some events with modifier keys (e.g. shift-click); we should do that consistently all the time. For example, some people apparently bind special functions to Alt-up, which conflicts with the metadata panel keydown handler: https://www.mediawiki.org/w/index.php?title=Talk:Multimedia/About_Media_Viewer&diff=1026325&oldid=1026318


Version: unspecified
Severity: normal

Details

Reference
bz66329
bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz66329.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Jun 7 2014, 6:22 PM
MarkTraceur triaged this task as Normal priority.Nov 24 2014, 1:55 PM
MarkTraceur set Security to None.

Change 182052 had a related patch set uploaded (by Unicodesnowman):
Ignore events with modifier keys

https://gerrit.wikimedia.org/r/182052

Patch-For-Review

Unicodesnowman closed this task as Resolved.Dec 29 2014, 8:33 AM
Unicodesnowman claimed this task.

Change 182052 merged by jenkins-bot:
Ignore events with modifier keys

https://gerrit.wikimedia.org/r/182052